SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Macros | Typedefs
CCRakNetSlidingWindow.h File Reference
`#include "defines.h"`
`#include "NativeTypes.h"`
`#include "time.h"`
`#include "types.h"`
`#include "DS_Queue.h"`

Go to the source code of this file.

## Classes

class | SLNet::CCRakNetSlidingWindow

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Macros

#define | UDP_HEADER_SIZE 28
| Sizeof an UDP header in byte.
#define | CC_DEBUG_PRINTF_1(x)
#define | CC_DEBUG_PRINTF_2(x, y)
#define | CC_DEBUG_PRINTF_3(x, y, z)
#define | CC_DEBUG_PRINTF_4(x, y, z, a)
#define | CC_DEBUG_PRINTF_5(x, y, z, a, b)
#define | CC_TIME_TYPE_BYTES 8
| Set to 4 if you are using the iPod Touch TG. See http://www.jenkinssoftware.com/forum/index.php?topic=2717.0.

## Typedefs

typedef SLNet::TimeUS | CCTimeType
typedef SLNet::uint24_t | DatagramSequenceNumberType
typedef double | BytesPerMicrosecond
typedef double | BytesPerSecond
typedef double | MicrosecondsPerByte

## Macro Definition Documentation

#define CC_DEBUG_PRINTF_1 | ( |  | x | ) |

Definition at line 58 of file CCRakNetSlidingWindow.h.

#define CC_DEBUG_PRINTF_2 | ( |  | x,
|  |  | y
| ) |  |

Definition at line 59 of file CCRakNetSlidingWindow.h.

Referenced by SLNet::ReliabilityLayer::Update().

#define CC_DEBUG_PRINTF_3 | ( |  | x,
|  |  | y,
|  |  | z
| ) |  |

Definition at line 60 of file CCRakNetSlidingWindow.h.

#define CC_DEBUG_PRINTF_4 | ( |  | x,
|  |  | y,
|  |  | z,
|  |  | a
| ) |  |

Definition at line 61 of file CCRakNetSlidingWindow.h.

#define CC_DEBUG_PRINTF_5 | ( |  | x,
|  |  | y,
|  |  | z,
|  |  | a,
|  |  | b
| ) |  |

Definition at line 62 of file CCRakNetSlidingWindow.h.

#define CC_TIME_TYPE_BYTES 8

Set to 4 if you are using the iPod Touch TG. See http://www.jenkinssoftware.com/forum/index.php?topic=2717.0.

Definition at line 70 of file CCRakNetSlidingWindow.h.

Referenced by SLNet::ReliabilityLayer::Update().

#define UDP_HEADER_SIZE 28

Sizeof an UDP header in byte.

Definition at line 56 of file CCRakNetSlidingWindow.h.

Referenced by SLNet::ProcessOfflineNetworkPacket(), SLNet::ReliabilityLayer::Reset(), SLNet::RakPeer::RunUpdateCycle(), and SLNet::ReliabilityLayer::Update().

## Typedef Documentation

typedef double BytesPerMicrosecond

Definition at line 79 of file CCRakNetSlidingWindow.h.

typedef double BytesPerSecond

Definition at line 80 of file CCRakNetSlidingWindow.h.

typedef SLNet::TimeUS CCTimeType

Definition at line 73 of file CCRakNetSlidingWindow.h.

typedef SLNet::uint24_t DatagramSequenceNumberType

Definition at line 78 of file CCRakNetSlidingWindow.h.

typedef double MicrosecondsPerByte

Definition at line 81 of file CCRakNetSlidingWindow.h.